#
#	File:		KeyboardModule.make
#
#	Contains:	Make file for Keyboard HID Module
#
#	Version:	xxx put version here xxx
#
#	Copyright:	 1997-1998 by Apple Computer, Inc., all rights reserved.
#
MAKEFILE     = KeyboardModule.make
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     = -i {USBInterfacesInternal},{USBInterfacesExternal}
SymPPC      = -sym on 
KeyboardModuleTarget	= {USBTargets}Drivers:USBHIDKeyboardModule

PPCCOptions  = {Includes} {SymPPC} {NeptuneCOptions}

LinkPPC		=	PPCLink

ObjectsPPC	=	"{USBObjects}KeyboardModule.c.o"				
				"{USBObjects}KeyboardModuleHeader.c.o" 			
				"{USBObjects}KBDHIDEmulation.c.o" 				
				"{USBObjects}KeyIn.c.o" 						
				"{USBObjects}KBDConfigParse.c.o"

KeyboardModule  "{USBReleaseExtensions}USBHIDKeyboardModule"  

"{USBReleaseExtensions}USBHIDKeyboardModule"   "{KeyboardModuleTarget}" 
		duplicate -y "{KeyboardModuleTarget}"  {Targ}
		
{KeyboardModuleTarget}		{MondoBuild}  {ObjectsPPC}		
				"{USBInterfacesInternal}USBHIDModule.exp"
	delete -i "{Targ}.xcoff"
	delete -i "{Targ}.dbg"
	{LinkPPC}													
		-map "{USBMapDir}USBHIDKeyboardModule.map"				
		-t 'ndrv'												
		-c 'usbd'												
		-o {KeyboardModuleTarget} {SymPPC} 					
		{ObjectsPPC} 											
		-xm sharedlibrary										
		-share context											
		-@export "{USBInterfacesInternal}USBHIDModule.exp"		
		"{USBLibraries}USBServicesLib" 							
		"{SharedLibraries}InterfaceLib" 						
		"{PPCLibraries}PPCCRuntime.o"


{KeyboardModuleTarget}		"{USBInterfacesInternal}PackageVersion.h"	
						"KeyboardModuleVersion.h"				
						"KeyboardModule.r"						
						{MondoBuild}
	Rez															
		-i "{USBInterfacesInternal}"							
		-i "{RIncludes}"										
		"{RIncludes}Types.r"									
		"KeyboardModule.r"										
		-a														
		-o {Targ}
		
"{USBObjects}KeyboardModuleHeader.c.o"		"KeyboardModuleHeader.c"				
											"{USBInterfacesExternal}USB.h"				
											"{USBInterfacesInternal}PackageVersion.h"		
											"KeyboardModuleVersion.h"				
											"KeyboardModule.h"
	{PPCC} KeyboardModuleHeader.c -o {Targ} {PPCCOptions}

"{USBObjects}KeyboardModule.c.o"		"KeyboardModule.c"	
										"{USBInterfacesExternal}USB.h"				
										"KeyboardModule.h"
	{PPCC} KeyboardModule.c -o {Targ} {PPCCOptions}

"{USBObjects}KBDHIDEmulation.c.o"		"KBDHIDEmulation.c"	
										"{USBInterfacesExternal}USB.h"				
										"KeyboardModule.h"
	{PPCC} KBDHIDEmulation.c -o {Targ} {PPCCOptions} -d DDKBuild

"{USBObjects}KeyIn.c.o"		"KeyIn.c"
	{PPCC} KeyIn.c -o {Targ} {PPCCOptions}

"{USBObjects}KBDConfigParse.c.o"		"KBDConfigParse.c"		
										"{USBInterfacesExternal}USB.h"				
										"KeyboardModule.h"
	{PPCC} KBDConfigParse.c -o {Targ} {PPCCOptions}

Clean 
	Delete -i {ObjectsPPC}
	Delete -i {KeyboardModuleTarget} 
	Delete -i "{USBReleaseExtensions}USBHIDKeyboardModule"